Last modified: 2014-07-27 20:03:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18961 - "Restore all default settings" should be a button
"Restore all default settings" should be a button
Status: NEW
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.21.x
All All
: Lowest minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 19952 53900 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 20:37 UTC by Siebrand Mazeland
Modified: 2014-07-27 20:03 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2009-05-27 20:37:49 UTC
"Restore all default settings" in Special:Preferences should be a button, just like "Save" and "Undo changes". The text link looks odd at the moment.
Comment 1 Dan Jacobson 2009-06-02 00:16:28 UTC
By the way, did anybody ever try it? I did and clicked confirm, and it didn't restore
anything, maybe due to a lack of saveSettings().
Comment 2 Andrew Garrett 2009-06-03 16:54:14 UTC
A button executes an action, this does not. It takes you to a confirmation page. I think this should be marked WONTFIX, but I'm open to third opinions.

Thanks for the report as to it not working, I've added saveSettings() in r51420.
Comment 3 Dan Jacobson 2009-06-06 23:25:09 UTC
Hold on, no wonder I'm the first person on the planet who ever dared
to click the "Restore all default settings" button (in the lab, of
course): How can the user click it with any confidence, when the only
information he knows about which settings he will be getting restored
back is only marked for one!:
  (*) MonoBook (default) (Preview)
The rest are a mystery as to what the defaults he is about to get are.
The best he can do is create another account and see what they look
like, but we don't want him to do that. Therefore, please somebody add
"(default)" to each of the remaining items. Thanks.
Comment 4 Dan Jacobson 2009-06-06 23:28:00 UTC
(P.S., and no fair using e.g., sneaky CSS.  Must work just like the Monobook line above, so text browsers can see the defaults too.)
P.S. welcome to split off another bug if Summary should stay put.
Comment 5 Andrew Garrett 2009-07-16 16:47:51 UTC
Marking this bug as Lowest priority.

I've done this in a batch to (usually enhancement request) bugs where:
* It is not clear that this bug should be fixed.
* It is not clear how to fix this bug.
* There are difficulties or complications in fixing this bug, which are not justified by the importance of the bug.
* This is an extremely minor bug that could not be fixed in a few lines of code.

If you're interested in having one of these bugs fixed, your best bet is to write the patch yourself.
Comment 6 Alexandre Emsenhuber [IAlex] 2009-07-27 07:27:36 UTC
*** Bug 19952 has been marked as a duplicate of this bug. ***
Comment 7 Andre Klapper 2012-12-07 16:43:19 UTC
Proposing WONTFIX as per comment 2.
Comment 8 Matthew Bowker 2012-12-07 21:41:27 UTC
(In reply to comment #7)
> Proposing WONTFIX as per comment 2.

I respectfully disagree.  

The fix should be as simple as creating another form.  Just set the method to get, the action to the URL of the verification page, and have the one submit element with no name and the value "Reset all default settings".  Since the form has nothing to pass, it goes to the page with no values added.
Comment 9 db [inactive,noenotif] 2013-09-08 09:00:56 UTC
*** Bug 53900 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links